### Method

# FwupdPlugin DpauxDevice set_dpcd_offset

since: 2.1.1

#### Declaration [src]

    void
    fu_dpaux_device_set_dpcd_offset (
      FuDpauxDevice* self,
      goffset dpcd_offset
    )

#### Description [src]

Sets the DPCD offset. Must be either `FU_DPAUX_DEVICE_DPCD_OFFSET_SOURCE_DEVICE`, `FU_DPAUX_DEVICE_DPCD_OFFSET_SINK_DEVICE`, or `FU_DPAUX_DEVICE_DPCD_OFFSET_BRANCH_DEVICE`.

Available since: 2.1.1

#### Parameters

`dpcd_offset`

  Type: `goffset`

  Integer.